# Generated from minitest-bisect-1.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name minitest-bisect

Name: rubygem-%{gem_name}
Version: 1.5.1
Release: 1%{?dist}
Summary: Hunting down random test failures can be very very difficult, sometimes impossible, but minitest-bisect makes it easy
License: MIT
URL: https://github.com/seattlerb/minitest-bisect
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.18
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Hunting down random test failures can be very very difficult,
sometimes impossible, but minitest-bisect makes it easy.
minitest-bisect helps you isolate and debug random test failures.
If your tests only fail randomly, you can reproduce the error
consistently by using `--seed <num>`, but what then? How do you figure
out which combination of tests out of hundreds are responsible for the
failure? You know which test is failing, but what others are causing
it to fail or were helping it succeed in a different order? That's
what minitest-bisect does best.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/minitest_bisect
%{gem_instdir}/.autotest
%{gem_instdir}/Manifest.txt
%{gem_instdir}/bin
%{gem_instdir}/example-many
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.5.1-1
- Initial package
